diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/model/aodv-packet.h ns-3.44/src/aodv/model/aodv-packet.h
--- ns-3.43/src/aodv/model/aodv-packet.h	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/aodv/model/aodv-packet.h	2025-03-09 16:55:49.343371000 -0700
@@ -30,8 +30,8 @@
 {
 
 /**
- * \ingroup aodv
- * \brief MessageType enumeration
+ * @ingroup aodv
+ * @brief MessageType enumeration
  */
 enum MessageType
 {
@@ -42,21 +42,21 @@
 };
 
 /**
- * \ingroup aodv
- * \brief AODV types
+ * @ingroup aodv
+ * @brief AODV types
  */
 class TypeHeader : public Header
 {
   public:
     /**
      * constructor
-     * \param t the AODV RREQ type
+     * @param t the AODV RREQ type
      */
     TypeHeader(MessageType t = AODVTYPE_RREQ);
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -66,7 +66,7 @@
     void Print(std::ostream& os) const override;
 
     /**
-     * \returns the type
+     * @returns the type
      */
     MessageType Get() const
     {
@@ -75,7 +75,7 @@
 
     /**
      * Check that type if valid
-     * \returns true if the type is valid
+     * @returns true if the type is valid
      */
     bool IsValid() const
     {
@@ -83,9 +83,9 @@
     }
 
     /**
-     * \brief Comparison operator
-     * \param o header to compare
-     * \return true if the headers are equal
+     * @brief Comparison operator
+     * @param o header to compare
+     * @return true if the headers are equal
      */
     bool operator==(const TypeHeader& o) const;
 
@@ -95,16 +95,16 @@
 };
 
 /**
- * \brief Stream output operator
- * \param os output stream
- * \param h the TypeHeader
- * \return updated stream
+ * @brief Stream output operator
+ * @param os output stream
+ * @param h the TypeHeader
+ * @return updated stream
  */
 std::ostream& operator<<(std::ostream& os, const TypeHeader& h);
 
 /**
-* \ingroup aodv
-* \brief   Route Request (RREQ) Message Format
+* @ingroup aodv
+* @brief   Route Request (RREQ) Message Format
   \verbatim
   0                   1                   2                   3
   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
@@ -129,14 +129,14 @@
     /**
      * constructor
      *
-     * \param flags the message flags (0)
-     * \param reserved the reserved bits (0)
-     * \param hopCount the hop count
-     * \param requestID the request ID
-     * \param dst the destination IP address
-     * \param dstSeqNo the destination sequence number
-     * \param origin the origin IP address
-     * \param originSeqNo the origin sequence number
+     * @param flags the message flags (0)
+     * @param reserved the reserved bits (0)
+     * @param hopCount the hop count
+     * @param requestID the request ID
+     * @param dst the destination IP address
+     * @param dstSeqNo the destination sequence number
+     * @param origin the origin IP address
+     * @param originSeqNo the origin sequence number
      */
     RreqHeader(uint8_t flags = 0,
                uint8_t reserved = 0,
@@ -148,8 +148,8 @@
                uint32_t originSeqNo = 0);
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -160,8 +160,8 @@
 
     // Fields
     /**
-     * \brief Set the hop count
-     * \param count the hop count
+     * @brief Set the hop count
+     * @param count the hop count
      */
     void SetHopCount(uint8_t count)
     {
@@ -169,8 +169,8 @@
     }
 
     /**
-     * \brief Get the hop count
-     * \return the hop count
+     * @brief Get the hop count
+     * @return the hop count
      */
     uint8_t GetHopCount() const
     {
@@ -178,8 +178,8 @@
     }
 
     /**
-     * \brief Set the request ID
-     * \param id the request ID
+     * @brief Set the request ID
+     * @param id the request ID
      */
     void SetId(uint32_t id)
     {
@@ -187,8 +187,8 @@
     }
 
     /**
-     * \brief Get the request ID
-     * \return the request ID
+     * @brief Get the request ID
+     * @return the request ID
      */
     uint32_t GetId() const
     {
@@ -196,8 +196,8 @@
     }
 
     /**
-     * \brief Set the destination address
-     * \param a the destination address
+     * @brief Set the destination address
+     * @param a the destination address
      */
     void SetDst(Ipv4Address a)
     {
@@ -205,8 +205,8 @@
     }
 
     /**
-     * \brief Get the destination address
-     * \return the destination address
+     * @brief Get the destination address
+     * @return the destination address
      */
     Ipv4Address GetDst() const
     {
@@ -214,8 +214,8 @@
     }
 
     /**
-     * \brief Set the destination sequence number
-     * \param s the destination sequence number
+     * @brief Set the destination sequence number
+     * @param s the destination sequence number
      */
     void SetDstSeqno(uint32_t s)
     {
@@ -223,8 +223,8 @@
     }
 
     /**
-     * \brief Get the destination sequence number
-     * \return the destination sequence number
+     * @brief Get the destination sequence number
+     * @return the destination sequence number
      */
     uint32_t GetDstSeqno() const
     {
@@ -232,8 +232,8 @@
     }
 
     /**
-     * \brief Set the origin address
-     * \param a the origin address
+     * @brief Set the origin address
+     * @param a the origin address
      */
     void SetOrigin(Ipv4Address a)
     {
@@ -241,8 +241,8 @@
     }
 
     /**
-     * \brief Get the origin address
-     * \return the origin address
+     * @brief Get the origin address
+     * @return the origin address
      */
     Ipv4Address GetOrigin() const
     {
@@ -250,8 +250,8 @@
     }
 
     /**
-     * \brief Set the origin sequence number
-     * \param s the origin sequence number
+     * @brief Set the origin sequence number
+     * @param s the origin sequence number
      */
     void SetOriginSeqno(uint32_t s)
     {
@@ -259,8 +259,8 @@
     }
 
     /**
-     * \brief Get the origin sequence number
-     * \return the origin sequence number
+     * @brief Get the origin sequence number
+     * @return the origin sequence number
      */
     uint32_t GetOriginSeqno() const
     {
@@ -269,40 +269,40 @@
 
     // Flags
     /**
-     * \brief Set the gratuitous RREP flag
-     * \param f the gratuitous RREP flag
+     * @brief Set the gratuitous RREP flag
+     * @param f the gratuitous RREP flag
      */
     void SetGratuitousRrep(bool f);
     /**
-     * \brief Get the gratuitous RREP flag
-     * \return the gratuitous RREP flag
+     * @brief Get the gratuitous RREP flag
+     * @return the gratuitous RREP flag
      */
     bool GetGratuitousRrep() const;
     /**
-     * \brief Set the Destination only flag
-     * \param f the Destination only flag
+     * @brief Set the Destination only flag
+     * @param f the Destination only flag
      */
     void SetDestinationOnly(bool f);
     /**
-     * \brief Get the Destination only flag
-     * \return the Destination only flag
+     * @brief Get the Destination only flag
+     * @return the Destination only flag
      */
     bool GetDestinationOnly() const;
     /**
-     * \brief Set the unknown sequence number flag
-     * \param f the unknown sequence number flag
+     * @brief Set the unknown sequence number flag
+     * @param f the unknown sequence number flag
      */
     void SetUnknownSeqno(bool f);
     /**
-     * \brief Get the unknown sequence number flag
-     * \return the unknown sequence number flag
+     * @brief Get the unknown sequence number flag
+     * @return the unknown sequence number flag
      */
     bool GetUnknownSeqno() const;
 
     /**
-     * \brief Comparison operator
-     * \param o RREQ header to compare
-     * \return true if the RREQ headers are equal
+     * @brief Comparison operator
+     * @param o RREQ header to compare
+     * @return true if the RREQ headers are equal
      */
     bool operator==(const RreqHeader& o) const;
 
@@ -318,15 +318,15 @@
 };
 
 /**
- * \brief Stream output operator
- * \param os output stream
- * \return updated stream
+ * @brief Stream output operator
+ * @param os output stream
+ * @return updated stream
  */
 std::ostream& operator<<(std::ostream& os, const RreqHeader&);
 
 /**
-* \ingroup aodv
-* \brief Route Reply (RREP) Message Format
+* @ingroup aodv
+* @brief Route Reply (RREP) Message Format
   \verbatim
   0                   1                   2                   3
   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
@@ -349,12 +349,12 @@
     /**
      * constructor
      *
-     * \param prefixSize the prefix size (0)
-     * \param hopCount the hop count (0)
-     * \param dst the destination IP address
-     * \param dstSeqNo the destination sequence number
-     * \param origin the origin IP address
-     * \param lifetime the lifetime
+     * @param prefixSize the prefix size (0)
+     * @param hopCount the hop count (0)
+     * @param dst the destination IP address
+     * @param dstSeqNo the destination sequence number
+     * @param origin the origin IP address
+     * @param lifetime the lifetime
      */
     RrepHeader(uint8_t prefixSize = 0,
                uint8_t hopCount = 0,
@@ -363,8 +363,8 @@
                Ipv4Address origin = Ipv4Address(),
                Time lifetime = MilliSeconds(0));
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -375,8 +375,8 @@
 
     // Fields
     /**
-     * \brief Set the hop count
-     * \param count the hop count
+     * @brief Set the hop count
+     * @param count the hop count
      */
     void SetHopCount(uint8_t count)
     {
@@ -384,8 +384,8 @@
     }
 
     /**
-     * \brief Get the hop count
-     * \return the hop count
+     * @brief Get the hop count
+     * @return the hop count
      */
     uint8_t GetHopCount() const
     {
@@ -393,8 +393,8 @@
     }
 
     /**
-     * \brief Set the destination address
-     * \param a the destination address
+     * @brief Set the destination address
+     * @param a the destination address
      */
     void SetDst(Ipv4Address a)
     {
@@ -402,8 +402,8 @@
     }
 
     /**
-     * \brief Get the destination address
-     * \return the destination address
+     * @brief Get the destination address
+     * @return the destination address
      */
     Ipv4Address GetDst() const
     {
@@ -411,8 +411,8 @@
     }
 
     /**
-     * \brief Set the destination sequence number
-     * \param s the destination sequence number
+     * @brief Set the destination sequence number
+     * @param s the destination sequence number
      */
     void SetDstSeqno(uint32_t s)
     {
@@ -420,8 +420,8 @@
     }
 
     /**
-     * \brief Get the destination sequence number
-     * \return the destination sequence number
+     * @brief Get the destination sequence number
+     * @return the destination sequence number
      */
     uint32_t GetDstSeqno() const
     {
@@ -429,8 +429,8 @@
     }
 
     /**
-     * \brief Set the origin address
-     * \param a the origin address
+     * @brief Set the origin address
+     * @param a the origin address
      */
     void SetOrigin(Ipv4Address a)
     {
@@ -438,8 +438,8 @@
     }
 
     /**
-     * \brief Get the origin address
-     * \return the origin address
+     * @brief Get the origin address
+     * @return the origin address
      */
     Ipv4Address GetOrigin() const
     {
@@ -447,51 +447,51 @@
     }
 
     /**
-     * \brief Set the lifetime
-     * \param t the lifetime
+     * @brief Set the lifetime
+     * @param t the lifetime
      */
     void SetLifeTime(Time t);
     /**
-     * \brief Get the lifetime
-     * \return the lifetime
+     * @brief Get the lifetime
+     * @return the lifetime
      */
     Time GetLifeTime() const;
 
     // Flags
     /**
-     * \brief Set the ack required flag
-     * \param f the ack required flag
+     * @brief Set the ack required flag
+     * @param f the ack required flag
      */
     void SetAckRequired(bool f);
     /**
-     * \brief get the ack required flag
-     * \return the ack required flag
+     * @brief get the ack required flag
+     * @return the ack required flag
      */
     bool GetAckRequired() const;
     /**
-     * \brief Set the prefix size
-     * \param sz the prefix size
+     * @brief Set the prefix size
+     * @param sz the prefix size
      */
     void SetPrefixSize(uint8_t sz);
     /**
-     * \brief Set the prefix size
-     * \return the prefix size
+     * @brief Set the prefix size
+     * @return the prefix size
      */
     uint8_t GetPrefixSize() const;
 
     /**
      * Configure RREP to be a Hello message
      *
-     * \param src the source IP address
-     * \param srcSeqNo the source sequence number
-     * \param lifetime the lifetime of the message
+     * @param src the source IP address
+     * @param srcSeqNo the source sequence number
+     * @param lifetime the lifetime of the message
      */
     void SetHello(Ipv4Address src, uint32_t srcSeqNo, Time lifetime);
 
     /**
-     * \brief Comparison operator
-     * \param o RREP header to compare
-     * \return true if the RREP headers are equal
+     * @brief Comparison operator
+     * @param o RREP header to compare
+     * @return true if the RREP headers are equal
      */
     bool operator==(const RrepHeader& o) const;
 
@@ -506,15 +506,15 @@
 };
 
 /**
- * \brief Stream output operator
- * \param os output stream
- * \return updated stream
+ * @brief Stream output operator
+ * @param os output stream
+ * @return updated stream
  */
 std::ostream& operator<<(std::ostream& os, const RrepHeader&);
 
 /**
-* \ingroup aodv
-* \brief Route Reply Acknowledgment (RREP-ACK) Message Format
+* @ingroup aodv
+* @brief Route Reply Acknowledgment (RREP-ACK) Message Format
   \verbatim
   0                   1
   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5
@@ -530,8 +530,8 @@
     RrepAckHeader();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -541,9 +541,9 @@
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Comparison operator
-     * \param o RREP header to compare
-     * \return true if the RREQ headers are equal
+     * @brief Comparison operator
+     * @param o RREP header to compare
+     * @return true if the RREQ headers are equal
      */
     bool operator==(const RrepAckHeader& o) const;
 
@@ -552,15 +552,15 @@
 };
 
 /**
- * \brief Stream output operator
- * \param os output stream
- * \return updated stream
+ * @brief Stream output operator
+ * @param os output stream
+ * @return updated stream
  */
 std::ostream& operator<<(std::ostream& os, const RrepAckHeader&);
 
 /**
-* \ingroup aodv
-* \brief Route Error (RERR) Message Format
+* @ingroup aodv
+* @brief Route Error (RERR) Message Format
   \verbatim
   0                   1                   2                   3
   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
@@ -584,8 +584,8 @@
     RerrHeader();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -596,35 +596,35 @@
 
     // No delete flag
     /**
-     * \brief Set the no delete flag
-     * \param f the no delete flag
+     * @brief Set the no delete flag
+     * @param f the no delete flag
      */
     void SetNoDelete(bool f);
     /**
-     * \brief Get the no delete flag
-     * \return the no delete flag
+     * @brief Get the no delete flag
+     * @return the no delete flag
      */
     bool GetNoDelete() const;
 
     /**
-     * \brief Add unreachable node address and its sequence number in RERR header
-     * \param dst unreachable IPv4 address
-     * \param seqNo unreachable sequence number
-     * \return false if we already added maximum possible number of unreachable destinations
+     * @brief Add unreachable node address and its sequence number in RERR header
+     * @param dst unreachable IPv4 address
+     * @param seqNo unreachable sequence number
+     * @return false if we already added maximum possible number of unreachable destinations
      */
     bool AddUnDestination(Ipv4Address dst, uint32_t seqNo);
     /**
-     * \brief Delete pair (address + sequence number) from REER header, if the number of unreachable
+     * @brief Delete pair (address + sequence number) from REER header, if the number of unreachable
      * destinations > 0
-     * \param un unreachable pair (address + sequence number)
-     * \return true on success
+     * @param un unreachable pair (address + sequence number)
+     * @return true on success
      */
     bool RemoveUnDestination(std::pair<Ipv4Address, uint32_t>& un);
     /// Clear header
     void Clear();
 
     /**
-     * \returns number of unreachable destinations in RERR message
+     * @returns number of unreachable destinations in RERR message
      */
     uint8_t GetDestCount() const
     {
@@ -632,9 +632,9 @@
     }
 
     /**
-     * \brief Comparison operator
-     * \param o RERR header to compare
-     * \return true if the RERR headers are equal
+     * @brief Comparison operator
+     * @param o RERR header to compare
+     * @return true if the RERR headers are equal
      */
     bool operator==(const RerrHeader& o) const;
 
@@ -647,9 +647,9 @@
 };
 
 /**
- * \brief Stream output operator
- * \param os output stream
- * \return updated stream
+ * @brief Stream output operator
+ * @param os output stream
+ * @return updated stream
  */
 std::ostream& operator<<(std::ostream& os, const RerrHeader&);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/aodv/model/aodv-routing-protocol.cc ns-3.44/src/aodv/model/aodv-routing-protocol.cc
--- ns-3.43/src/aodv/model/aodv-routing-protocol.cc	2024-10-09 16:41:09.844655800 -0700
+++ ns-3.44/src/aodv/model/aodv-routing-protocol.cc	2025-03-09 16:55:49.343371000 -0700
@@ -51,15 +51,15 @@
 const uint32_t RoutingProtocol::AODV_PORT = 654;
 
 /**
- * \ingroup aodv
- * \brief Tag used by AODV implementation
+ * @ingroup aodv
+ * @brief Tag used by AODV implementation
  */
 class DeferredRouteOutputTag : public Tag
 {
   public:
     /**
-     * \brief Constructor
-     * \param o the output interface
+     * @brief Constructor
+     * @param o the output interface
      */
     DeferredRouteOutputTag(int32_t o = -1)
         : Tag(),
@@ -68,8 +68,8 @@
     }
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId()
     {
@@ -86,8 +86,8 @@
     }
 
     /**
-     * \brief Get the output interface
-     * \return the output interface
+     * @brief Get the output interface
+     * @return the output interface
      */
     int32_t GetInterface() const
     {
@@ -95,8 +95,8 @@
     }
 
     /**
-     * \brief Set the output interface
-     * \param oif the output interface
+     * @brief Set the output interface
+     * @param oif the output interface
      */
     void SetInterface(int32_t oif)
     {
@@ -167,7 +167,7 @@
       m_htimer(Timer::CANCEL_ON_DESTROY),
       m_rreqRateLimitTimer(Timer::CANCEL_ON_DESTROY),
       m_rerrRateLimitTimer(Timer::CANCEL_ON_DESTROY),
-      m_lastBcastTime(Seconds(0))
+      m_lastBcastTime()
 {
     m_nb.SetCallback(MakeCallback(&RoutingProtocol::SendRerrWhenBreaksLinkToNextHop, this));
 }
@@ -1145,7 +1145,7 @@
         }
         NS_LOG_DEBUG("Send RREQ with id " << rreqHeader.GetId() << " to socket");
         m_lastBcastTime = Simulator::Now();
-        Simulator::Schedule(Time(MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10))),
+        Simulator::Schedule(MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10)),
                             &RoutingProtocol::SendTo,
                             this,
                             socket,
@@ -1507,7 +1507,7 @@
             destination = iface.GetBroadcast();
         }
         m_lastBcastTime = Simulator::Now();
-        Simulator::Schedule(Time(MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10))),
+        Simulator::Schedule(MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10)),
                             &RoutingProtocol::SendTo,
                             this,
                             socket,
@@ -1930,8 +1930,8 @@
 RoutingProtocol::HelloTimerExpire()
 {
     NS_LOG_FUNCTION(this);
-    Time offset = Time(Seconds(0));
-    if (m_lastBcastTime > Time(Seconds(0)))
+    Time offset;
+    if (m_lastBcastTime.IsStrictlyPositive())
     {
         offset = Simulator::Now() - m_lastBcastTime;
         NS_LOG_DEBUG("Hello deferred due to last bcast at:" << m_lastBcastTime);
@@ -1942,8 +1942,8 @@
     }
     m_htimer.Cancel();
     Time diff = m_helloInterval - offset;
-    m_htimer.Schedule(std::max(Time(Seconds(0)), diff));
-    m_lastBcastTime = Time(Seconds(0));
+    m_htimer.Schedule(std::max(Seconds(0), diff));
+    m_lastBcastTime = Seconds(0);
 }
 
 void
@@ -2006,7 +2006,7 @@
         {
             destination = iface.GetBroadcast();
         }
-        Time jitter = Time(MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10)));
+        Time jitter = MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10));
         Simulator::Schedule(jitter, &RoutingProtocol::SendTo, this, socket, packet, destination);
     }
 }
@@ -2177,7 +2177,7 @@
             NS_LOG_LOGIC("one precursor => unicast RERR to "
                          << toPrecursor.GetDestination() << " from "
                          << toPrecursor.GetInterface().GetLocal());
-            Simulator::Schedule(Time(MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10))),
+            Simulator::Schedule(MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10)),
                                 &RoutingProtocol::SendTo,
                                 this,
                                 socket,
@@ -2218,7 +2218,7 @@
         {
             destination = i->GetBroadcast();
         }
-        Simulator::Schedule(Time(MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10))),
+        Simulator::Schedule(MilliSeconds(m_uniformRandomVariable->GetInteger(0, 10)),
                             &RoutingProtocol::SendTo,
                             this,
                             socket,
@@ -2267,11 +2267,16 @@
 RoutingProtocol::DoInitialize()
 {
     NS_LOG_FUNCTION(this);
-    uint32_t startTime;
+
+    NS_ABORT_MSG_IF(m_ttlStart > m_netDiameter,
+                    "AODV: configuration error, TtlStart ("
+                        << m_ttlStart << ") must be less than or equal to NetDiameter ("
+                        << m_netDiameter << ").");
+
     if (m_enableHello)
     {
         m_htimer.SetFunction(&RoutingProtocol::HelloTimerExpire, this);
-        startTime = m_uniformRandomVariable->GetInteger(0, 100);
+        uint32_t startTime = m_uniformRandomVariable->GetInteger(0, 100);
         NS_LOG_DEBUG("Starting at time " << startTime << "ms");
         m_htimer.Schedule(MilliSeconds(startTime));
     }
